opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | List of all members
cv::DataType< Range > Class Template Reference

`#include <core.hpp>`

## Public Types
enum | { generic_type = 0, depth = DataDepth<channel_type>::value, channels = 2, fmt = ((channels-1)<<8) + DataDepth<channel_type>::fmt, type = CV_MAKETYPE(depth, channels) }
typedef int | channel_type
typedef Range | value_type
typedef Vec< channel_type, channels > | vec_type
typedef value_type | work_type

## Member Typedef Documentation

typedef int cv::DataType< Range >::channel_type

typedef Range cv::DataType< Range >::value_type

typedef Vec<channel_type, channels> cv::DataType< Range >::vec_type

typedef value_type cv::DataType< Range >::work_type

## Member Enumeration Documentation

anonymous enum

Enumerator:

  generic_type |
  depth |
  channels |
  fmt |
  type |

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp